xdg-desktop-portal-gnome (51~alpha-0ubuntu1) stonking; urgency=medium

  * New upstream release
  * d/p: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 30 Jun 2026 11:08:58 +0200

xdg-desktop-portal-gnome (50.0-1ubuntu1) stonking; urgency=medium

  * Merge with Debian branch, keeping Ubuntu changes:
    - d/patches: Support brown accent color
    - d/patches: Launch snap-store instead of gnome-software
    - d/control: reference Ubuntu VCS branches
    - d/gbp.conf: use Ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu pipeline
    - d/watch: Look for alpha releases
  * d/control: Generalize dependency on session bus

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 27 May 2026 16:59:22 +0200

xdg-desktop-portal-gnome (50.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Normalize dependency list order via `debputy reformat`
  * d/watch: Convert to v5 format

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Mar 2026 17:31:09 +0000

xdg-desktop-portal-gnome (50.0-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * d/p: Drop patch applied upstream

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 20 Mar 2026 14:39:16 +0100

xdg-desktop-portal-gnome (50~rc-0ubuntu1) resolute; urgency=medium

  * New upstream release
    - Fix printing not working every other time (LP: #2130566)
  * d/p: Add patch to fix an issue with printing

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 13 Mar 2026 19:29:55 +0100

xdg-desktop-portal-gnome (50~beta-1ubuntu1) resolute; urgency=medium

  * Merge with Debian branch, keeping Ubuntu changes:
    - d/patches: Support brown accent color
    - d/patches: Launch snap-store instead of gnome-software
    - d/control: reference Ubuntu VCS branches
    - d/gbp.conf: use Ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu pipeline
  * d/p: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 19 Feb 2026 09:39:06 +0100

xdg-desktop-portal-gnome (50~beta-1) unstable; urgency=medium

  [ Alessandro Astone ]
  * New upstream release
  * d/control: Bump minimum gsettings-desktop-schemas

  [ Jeremy Bícha ]
  * Bump minimum gtk4
  * Update Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Feb 2026 17:39:15 -0500

xdg-desktop-portal-gnome (50~alpha-0ubuntu2) resolute; urgency=medium

  * d/p/Fix-typo-on-schema-name-reference.patch: Fix portal not starting
    (LP: #2138284)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 13 Jan 2026 11:18:17 +0100

xdg-desktop-portal-gnome (50~alpha-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * d/p: Refresh patches
  * d/p/appchooser: Mark forwarded not-needed
  * d/control: Bump minimum gsettings-desktop-schemas

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 12 Jan 2026 12:41:17 +0100

xdg-desktop-portal-gnome (49.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian branch, keeping Ubuntu changes:
    - d/patches: Support brown accent color
    - d/patches: Launch snap-store instead of gnome-software
    - d/control: reference Ubuntu VCS branches
    - d/gbp.conf: use Ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu pipeline

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Sep 2025 12:24:06 +0200

xdg-desktop-portal-gnome (49.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 Sep 2025 14:11:29 -0400

xdg-desktop-portal-gnome (49~rc-1ubuntu1) questing; urgency=medium

  * Merge with Debian branch, keeping Ubuntu changes:
    - d/patches: Support brown accent color
    - d/patches: Launch snap-store instead of gnome-software
    - d/control: reference Ubuntu VCS branches
    - d/gbp.conf: use Ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu pipeline

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Sep 2025 02:41:32 +0200

xdg-desktop-portal-gnome (49~rc-1) unstable; urgency=medium

  * New upstream release
  * Add: Recommends papers
  * Remove Suggests: evince
  * Remove obsolete Rules-Requires-Root field
  * Remove remaining patch: applied in new release
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 31 Aug 2025 15:13:02 -0400

xdg-desktop-portal-gnome (49~beta-0ubuntu1) questing; urgency=medium

  * New upstream release
  * Drop patch applied differently upstream
    - d/p/print-Add-support-for-papers-previewer.patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 13 Aug 2025 12:35:39 +0200

xdg-desktop-portal-gnome (49~alpha-0ubuntu1) questing; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 07 Jul 2025 15:44:28 +0200

xdg-desktop-portal-gnome (48.0-2ubuntu2) questing; urgency=medium

  * debian/patches: Launch snap-store instead of gnome-software (LP: #2058444)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 18 Jun 2025 09:43:56 +0200

xdg-desktop-portal-gnome (48.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian branch, keeping Ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: reference Ubuntu VCS branches
    - d/gbp.conf: use Ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu pipeline

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 11:24:24 -0400

xdg-desktop-portal-gnome (48.0-2) unstable; urgency=medium

  * Prefer papers-previewer to evince-previewer

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 20 Mar 2025 12:04:37 -0400

xdg-desktop-portal-gnome (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 10:10:01 -0400

xdg-desktop-portal-gnome (48~rc-1ubuntu1) plucky; urgency=medium

  * Merge with Debian branch, keeping Ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: reference Ubuntu VCS branches
    - d/gbp.conf: use Ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu pipeline

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Mar 2025 10:23:33 -0500

xdg-desktop-portal-gnome (48~rc-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Remove X11 initialization patch: applied in new release
  * Bump Breaks to not migrate to Testing without gnome-shell 48
  * Release to unstable

  [ Alessandro Astone ]
  * Add patch to support using Papers instead of only Evince for print previews

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Mar 2025 10:20:00 -0500

xdg-desktop-portal-gnome (48~beta.2-1ubuntu1) plucky; urgency=medium

  * Merge with debian branch, keeping ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: reference ubuntu VCS branches
    - d/gbp.conf: use ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu pipeline

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 19 Feb 2025 09:31:15 +0100

xdg-desktop-portal-gnome (48~beta.2-1) experimental; urgency=medium

  * New upstream release
  * d/copyright: Update
  * Merge packaging from unstable
    - d/x-d-p-gnome.lintian-overrides:
      Remove obsolete Lintian override for #1031037
    - d/gbp.conf: No changes needed in the 48.x branch
    - d/patches: Drop, not needed in the 48.x branch
  * d/p/gxdp-Initialize-successfully-if-running-under-X11.patch:
    Add proposed patch to fix initialization under "GNOME on Xorg"

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Feb 2025 18:23:40 +0000

xdg-desktop-portal-gnome (48~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum xdg-desktop-portal

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 19:05:58 -0500

xdg-desktop-portal-gnome (47.2-2) unstable; urgency=medium

  * d/gbp.conf: Switch packaging and upstream branches for GNOME 47
  * d/p/notification-Fix-build-against-xdg-desktop-portal-1.19.1.patch,
    d/p/notification-Add-missing-GUnixFDList-argument.patch:
    Add proposed patches to fix build against x-d-p 1.19.x.
    The GNOME 48 branch of x-d-p-gnome already has the equivalent of
    this, but now that x-d-p 1.19.x is in unstable, we need this on the
    47.x branch as a stopgap until we are ready to upload GNOME Shell
    48 to unstable.
  * d/p/Initialize-GTK-before-opening-display-for-X11-too.patch:
    Add proposed patch to fix crashes with GTK 4.17.x in "GNOME on Xorg"
    session. Thanks to Sébastien Noel (Closes: #1096094)
  * d/x-d-p-gnome.lintian-overrides:
    Remove obsolete Lintian override for #1031037

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Feb 2025 16:46:17 +0000

xdg-desktop-portal-gnome (47.2-1) unstable; urgency=medium

  * New upstream release
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Jan 2025 08:46:04 -0500

xdg-desktop-portal-gnome (47.1-4ubuntu1) plucky; urgency=medium

  * Merge with debian branch, keeping ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: reference ubuntu VCS branches
    - d/gbp.conf: use ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu pipeline

  [ Jeremy Bícha ]
  * debian/salsa-ci.yml: Stop forcing oracular for Ubuntu pipeline

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 14 Jan 2025 10:31:01 +0100

xdg-desktop-portal-gnome (47.1-4) unstable; urgency=medium

  * Team upload
  * Add proposed patch to fix slow startup with GTK4 4.17
    (Closes: #1089760) (LP: #2091952)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 14 Jan 2025 04:10:44 -0500

xdg-desktop-portal-gnome (47.1-3ubuntu1) plucky; urgency=medium

  * Merge with debian branch, keeping ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: reference ubuntu VCS branches
    - d/gbp.conf: use ubuntu branches and tagging schema
    - d/salsa-ci.conf: use Ubuntu oracular pipeline

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Dec 2024 16:04:44 -0500

xdg-desktop-portal-gnome (47.1-3) unstable; urgency=medium

  * Cherry-pick Fedora patch for compatibility with gtk 4.17

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Dec 2024 16:03:48 -0500

xdg-desktop-portal-gnome (47.1-2ubuntu1) plucky; urgency=medium

  [ Alessandro Astone ]
  * Merge with debian branch, keeping ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: reference ubuntu VCS branches
    - d/gbp.conf: use ubuntu branches and tagging schema

  [ Jeremy Bícha ]
  * d/salsa-ci.conf: use Ubuntu oracular pipeline

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 19 Nov 2024 17:47:07 +0100

xdg-desktop-portal-gnome (47.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 19:27:28 -0400

xdg-desktop-portal-gnome (47.1-1ubuntu1) oracular; urgency=medium

  * Merge with debian branch (LP: #2082242), keeping ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: reference ubuntu VCS branches
    - d/gbp.conf: use ubuntu branches and tagging schema

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 27 Sep 2024 22:58:39 +0200

xdg-desktop-portal-gnome (47.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 26 Sep 2024 10:40:16 +0200

xdg-desktop-portal-gnome (47~rc-1ubuntu1) oracular; urgency=medium

  * Merge with debian branch, keeping ubuntu changes:
    - d/patches: Support brown accent color
    - d/control: Add specific dependency on ubuntu's desktop schemas and
      libadwaita.
    - d/control: reference ubuntu VCS branches
    - d/gbp.conf: use ubuntu branches and tagging schema

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 05 Sep 2024 15:15:42 +0200

xdg-desktop-portal-gnome (47~rc-1) experimental; urgency=medium

  * New upstream release
    - Fix restoring last used folder in the File Chooser portal
    - Fix selecting multiple window on single selection
    - Do not block xdg-desktop-portal-gnome when connecting to Nautilus
      (LP: #2077451)
    - Fix incorrectly set mimetype in the File Chooser portal
    - Translation updates

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 04 Sep 2024 16:58:01 +0200

xdg-desktop-portal-gnome (47~beta-2ubuntu1) oracular; urgency=medium

  * Merge with debian branch, keeping ubuntu changes:
    - d/control: reference ubuntu VCS branches
    - d/gbp.conf: use ubuntu branches and tagging schema
  * debian/patches: Support brown accent color.
    This is required to fix the support for the custom warty accent color
  * debian/control: Add specific dependency on ubuntu's desktop schemas and
    libadwaita.
    We have defined a specific color, so let's increase the dependency

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 20 Aug 2024 20:31:40 -0400

xdg-desktop-portal-gnome (47~beta-2) experimental; urgency=medium

  * Cherry-pick 2 filepicker fixes
  * Add Depends: nautilus (>= 47~beta) since nautilus is now used
    as the portal filechooser

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Aug 2024 08:43:43 -0400

xdg-desktop-portal-gnome (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libadwaita and gsettings-desktop-schemas
  * Break GNOME Shell << 47~
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Aug 2024 17:29:31 -0400

xdg-desktop-portal-gnome (46.2-3) unstable; urgency=medium

  * Break older versions of gnome-shell

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 21:29:06 -0400

xdg-desktop-portal-gnome (46.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 18:32:45 -0400

xdg-desktop-portal-gnome (46.2-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 09:30:16 -0400

xdg-desktop-portal-gnome (46.1-1) experimental; urgency=medium

  * New upstream release (LP: #2064732)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 03 May 2024 10:29:43 -0400

xdg-desktop-portal-gnome (46.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libadwaita to 1.4
  * Enable auto features

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 10:13:08 -0400

xdg-desktop-portal-gnome (45.1-3) experimental; urgency=medium

  * Merge packaging changes from unstable
    - Build-depend on systemd-dev instead of systemd (Closes: #1060494)

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Jan 2024 18:06:40 +0000

xdg-desktop-portal-gnome (44.2-4) unstable; urgency=medium

  * d/control: Stop generating from d/control.in
  * Build-depend on systemd-dev instead of systemd (Closes: #1060494)

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Jan 2024 17:53:13 +0000

xdg-desktop-portal-gnome (45.1-2) experimental; urgency=medium

  [ Simon McVittie ]
  * Merge packaging changes from unstable
    - Require a version of GNOME Shell or Budgie based on libmutter-12

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Dec 2023 15:55:56 -0500

xdg-desktop-portal-gnome (45.1-1) experimental; urgency=medium

  * New upstream release
  * Drop LP: #1971168 patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Dec 2023 15:45:43 -0500

xdg-desktop-portal-gnome (45.0-2) experimental; urgency=medium

  * Stop using debian/control.in and dh_gnome_clean
  * Update remote file URIs patch with latest version accepted upstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Nov 2023 11:01:52 -0500

xdg-desktop-portal-gnome (44.2-3) unstable; urgency=medium

  * Require a version of GNOME Shell or Budgie based on libmutter-12.
    This version of x-d-p-gnome does not work with GNOME 43 in bookworm.
    (Closes: #1031842)
    - Increase Recommends to gnome-shell 44~ or budgie-desktop 10.7.2-0.1~
    - Add Breaks on older versions
  * d/control.in, d/gbp.conf: Use debian/trixie packaging branch.
    The debian/latest branch is now in use for GNOME 45.

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Oct 2023 10:55:23 +0100

xdg-desktop-portal-gnome (45.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 09:26:06 -0400

xdg-desktop-portal-gnome (45~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 08:30:38 -0400

xdg-desktop-portal-gnome (44.2-2) unstable; urgency=medium

  * Bump minimum xdg-desktop-portal to 1.17.1 (LP: #2013116) (Closes: #1032584)
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Sep 2023 17:01:39 -0400

xdg-desktop-portal-gnome (44.2-1) experimental; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Aug 2023 15:44:36 -0400

xdg-desktop-portal-gnome (44.1-2) experimental; urgency=medium

  * Add patch to send remote file URIs as local FUSE URIs (LP: #1971168)

 -- Sergio Costas Rodriguez <sergio.costas@canonical.com>  Tue, 18 Jul 2023 10:35:30 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog xdg-desktop-portal-gnome`.
